> ## Documentation Index
> Fetch the complete documentation index at: https://mtaapi.dev/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Get NJ Transit rail alerts

> Get NJ Transit RailData station and line messages.



## OpenAPI

````yaml /openapi.json get /api/v1/nj-transit/rail/alerts
openapi: 3.1.2
info:
  title: MTA API
  description: Managed, API-key protected access to MTA realtime and static data.
  version: 0.1.0
servers:
  - url: https://www.mtaapi.dev
    description: Production
security:
  - bearerAuth: []
  - apiKeyAuth: []
tags:
  - name: subway
    description: Subway realtime data
  - name: bus
    description: BusTime realtime data
  - name: path
    description: PATH realtime arrivals for New Jersey stations
  - name: nj-transit-rail
    description: NJ Transit RailData realtime data
  - name: nyc-ferry
    description: NYC Ferry GTFS and GTFS-Realtime data
  - name: citi-bike
    description: Citi Bike GBFS station and service data
  - name: lirr
    description: Long Island Rail Road GTFS and GTFS-Realtime data
  - name: metro-north
    description: Metro-North Railroad GTFS and GTFS-Realtime data
  - name: alerts
    description: Service alerts
  - name: stops
    description: Route-aware static GTFS stop lookup
  - name: system
    description: Health and database status
paths:
  /api/v1/nj-transit/rail/alerts:
    get:
      tags:
        - nj-transit-rail
      summary: Get NJ Transit rail alerts
      description: Get NJ Transit RailData station and line messages.
      operationId: getApiV1Nj-transitRailAlerts
      parameters:
        - name: station
          in: query
          required: false
          schema:
            minLength: 1
            type: string
        - name: line
          in: query
          required: false
          schema:
            minLength: 1
            type: string
        - name: limit
          in: query
          required: false
          schema:
            minimum: 1
            maximum: 100
            type: number
        - name: includeRaw
          in: query
          required: false
          schema:
            type: boolean
      responses:
        '200':
          description: Response for status 200
          content:
            application/json:
              schema:
                type: array
                items:
                  type: object
                  required:
                    - id
                    - mode
                    - routes
                    - stations
                    - source
                  properties:
                    id:
                      type: string
                    mode:
                      const: nj-transit-rail
                      type: string
                    type:
                      type: string
                    header:
                      type: string
                    description:
                      type: string
                    publishedAt:
                      type: string
                    routes:
                      type: array
                      items:
                        type: object
                        required:
                          - id
                        properties:
                          id:
                            type: string
                          gtfsId:
                            type: string
                          shortName:
                            type: string
                          longName:
                            type: string
                          type:
                            type: number
                          color:
                            type: string
                          textColor:
                            type: string
                    stations:
                      type: array
                      items:
                        type: object
                        required:
                          - id
                          - name
                          - mode
                        properties:
                          id:
                            type: string
                          name:
                            type: string
                          shortName:
                            type: string
                          mode:
                            const: nj-transit-rail
                            type: string
                          raw: {}
                    source:
                      type: string
                    raw: {}
      x-codeSamples:
        - lang: typescript
          label: mta-js
          source: |-
            import { MTA } from "mta-js";
            const mta = new MTA({ apiKey: process.env.MTA_API_KEY });
            const data = await mta.njTransit.rail.alerts({ station: "NY" });
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: API Key
    apiKeyAuth:
      type: apiKey
      in: header
      name: x-api-key

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.